<?php
/**
 *
 * @author	ahrasis http://support.ahrasis.com
 * @license	BSD http://opensource.org/licenses/BSD-3-Clause
 * @addon	MWSP: Member's Website & Signature Permission
 *
 */

if (!defined('ELK'))
	die('No access...');

function MWSP_redefine_member_contexts($user)
{
	global $memberContext;

	require_once(SUBSDIR . '/Members.subs.php');
	if (!allowedTo('add_website') && !in_array($user, membersAllowedTo('add_website')))
		$memberContext[$user]['website']['url'] = '';
	if (!allowedTo('add_signature') && !in_array($user, membersAllowedTo('add_signature')))
		$memberContext[$user]['signature'] = '';
}

function MWSP_texts()
{
	// Load language(s)
	loadLanguage('MWSP/MWSP');
}

function MWSP_add_user_permissions(&$permissionGroups, &$permissionList)
{
	global $context;
	// Add permission(s)
	if (isset($context['group']['id']) && $context['group']['id'] != -1) {
		$permissionList['membergroup']['add_website'] = array(false, 'profile', 'add_website');
		$permissionList['membergroup']['add_signature'] = array(false, 'profile', 'add_signature');
	}
}

function MWSP_change_profile_fields(&$profile_fields)
{
	if (isset($profile_fields['website_title']['permission']))
		unset($profile_fields['website_title']['permission']);
	$profile_fields['website_title']['permission'] = 'add_website';
	if (isset($profile_fields['website_url']['permission']))
		unset($profile_fields['website_url']['permission']);
	$profile_fields['website_url']['permission'] = 'add_website';
	if (isset($profile_fields['signature']['permission']))
		unset($profile_fields['signature']['permission']);
	$profile_fields['signature']['permission'] = 'add_signature';
}
?>